Skip to main content
POST
/
inbound
/
filters
/
allowlist
curl --request POST \
  --url https://api.jetemail.com/inbound/filters/allowlist \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Allow partner emails",
  "domain": "example.com",
  "senders": [
    {
      "sender_type": "domain",
      "sender_value": "partner.com"
    }
  ]
}
'
{
  "success": true,
  "uuid": "550e8400-e29b-41d4-a716-446655440000"
}

Authorizations

Authorization
string
header
required

API key for account management endpoints. Use your api_ prefixed token.

Query Parameters

domain
string

Domain (alternative to body.domain)

subdomain_id
integer

Numeric subdomain ID

subdomain_uuid
string<uuid>

Subdomain UUID

Body

application/json
name
string
required

Rule name (alphanumeric, spaces, hyphens, underscores, periods)

Required string length: 1 - 100
Example:

"Allow trusted senders"

description
string

Optional rule description

Maximum string length: 500
domain
string

Domain to apply the rule to (alternative to query param)

Example:

"example.com"

senders
object[]
recipients
object[]
subjects
object[]
body
object[]
headers
object[]
ips
object[]
size
object
attachments
object[]

Response

Rule created successfully

success
boolean
Example:

true

uuid
string<uuid>

UUID of the created rule

Example:

"550e8400-e29b-41d4-a716-446655440000"